Subject: Re: Cisco SG16: Keep Active

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 4 Feb 2000 13:04:01 -0500

We have just had a discussion on this issue, and I believe it
addresses it: digitmaps on dtmf optimizes reporting
of dtmf detection, but is otherwise the same as individual dtmf
events being enabled.  By that definition, KeepActive works the
way you wanted it; without it, signals stop with first detected
digit.  With it, signals continue while digits are detected.
So your IVR app would specify KeepActive on the digitmap completion
event, and use an embedded signal to turn it off if you wanted to.
The old mechanism doesn't work any differently; if you had specified
keepactive on the digits, whether or not they were accumulate by
digitmap actions, you still would not be able to treat the initial
digit differently from the terminating digit.  The only way you
could make this better would be to have the digitmap completion
event entirely separate from the dtmf detection events, so you
could have KeepActive separately on the digits from the completion.
I think embedded signals is a better answer, but I'm on record as
thinking that digitmaps should be a package and not a basic
protocol.

I'll deal with any problems we still have with the current text,
but a "everything changed" complaint without a problem is a no-op.

brian

> -----Original Message-----
> From: Chip Sharp [mailto:[email-masked]]
> Sent: Friday, February 04, 2000 12:12 AM
> To: [email-masked]
> Subject: Re: Cisco SG16: Keep Active
>
>
> At 03:22 PM 2/3/00 -0500, Tom-PT Taylor wrote:
> >
> >
> >I think the primary need here is for clarifying text in
> section 7.1.14
> >indicating that events mapped into a digit map do not generate
> >notifications, but do terminate ongoing signals unless the
> KeepActive flag
> >is set.
> Not really. The fundamental problem is the complete rework of
> the agreed
> upon event handling mechanism that for some reason was done
> after the Red
> Bank meeting.
>
> >
> >-----Original Message-----  From:  Chip Sharp
> >[SMTP:[email-masked]]  Sent:  Tuesday, January 25, 2000 7:43
> >PM  To:    [email-masked]  Subject:
>   Cisco SG16:
> >Keep Active
> >
> >Section:        7.1.9, "Event Actions"
> >table  Category:       Technical  Issue:          The draft
> text specifies
> >that "KeepActive:      As Notify, but  production of signals
> continues (if
> >any signals were active)".The above  definition is overly
> restrictive in
> >that it prevents events from being  accumulated (either with
> or without
> >digit map) and at the same time keeping  a signal active.
> For example an
> >IVR application accumulating a string of  user input and playing an
> >announcement until the entire string is  accumulated cannot
> be supported
> >with the above behaviour.  Proposal:       It is recommended, that
> >"KeepActive" does not generate a "Notify"  and that it
> becomes possible to
> >specify multiple actions such that  "KeepActive" can be
> combined with,
> >e.g. "Notify" or "AccumulateByDigitMap"  depending on the particular
> >application.
> >
> >v13 Status:     OPEN. Event actions table has been removed and
> >extensive  modification of entire event processing taken place.
> >
> >Section:        7.1.9  Category:       Technical  Issue:          The
> >draft text specifies that "When KeepActive is specified as the  event
> >action, the media gateway shall send a Notify message to the
>  controller
> >upon detection of the event. Furthermore, the controller shall  not
> >interrupt any signals active on the Termination on which the event
> >is  detected" The above definition is overly restrictive in that it
> >prevents  events from being accumulated (either with or
> without digit map)
> >and at the  same time keeping a signal active. For example an IVR
> >application  accumulating a string of user input and playing an
> >announcement until the  entire string is accumulated cannot
> be supported
> >with the above behaviour.  Proposal:       It is recommended, that
> >"KeepActive" does not generate a "Notify"  and that it
> becomes possible to
> >specify multiple actions such that  "KeepActive" can be
> combined with,
> >e.g. "Notify" or "AccumulateByDigitMap"  depending on the particular
> >application.
> >
> >v13 Status:     OPEN. Extensive modifications of event handling has
> >taken  place. Events now always reported immediately on detection.
>
> Support NetAid!  http://www.netaid.org
> --------------------------------------------------
> Chip Sharp                 Consulting Engineering
> Cisco Systems              Telco Bio-region
> Reality - Love it or Leave it.
> --------------------------------------------------
>

---

From: Flemming Andreasen <[email-masked]>
Date: Fri, 4 Feb 2000 14:11:07 -0500

Hi Brian

Some comments below

Regards

            Flemming

> but a "everything changed" complaint without a problem is a no-op.

I beg to differ. A change without a problem is counterproductive and what
gets into these situations. We had something perfectly fine after the Red
Bank meeting which for some reason was changed. Exactly *what* was the
problem that prompted this massive change (I'll spare you the ITU-T
procedural arguments here). If there were no compelling reasons, then I
suggest that the text is simply brought back in line with the agreement from
Red Bank, and then we can close this (big) one and move along.

If you really want to, we can start a debate about the relative merits,
trade-offs, and shortcomings of one scheme versus the other. A couple of
topics off the top of my head
- Reduced number of messages and resultant reduced load on network and
entities
- Effective event arrival rate not limited by MGC-MG round-trip time
- Support for scripting

--
---------------------------------------
Flemming Andreasen
Cisco Systems
---------------------------------------